Change the password of a user
Fails when the new password is not strong enough. Cannot be used to change your own password, use PUT /api/v1/user/change_password for that.
put
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired
Name of the user.
Body
new_passwordstringRequired
Responses
200
Password changed.
No content
400
Password does not satisfy the requirements, or the request targets your own account.
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
User not found.
500
Unable to change user password.
application/json
put/api/v1/user/{username}/password
PUT /api/v1/user/{username}/password HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 23
{
"new_password": "text"
}No content
Last updated
Was this helpful?